#!/bin/sh

setWASHome()
{
    if [ "${REPLACE_WAS_HOME:=}" != "" ] && [ -d ${REPLACE_WAS_HOME} ]
    then
        WAS_HOME=${REPLACE_WAS_HOME}
    else
        CUR_DIR=`pwd`
        WAS_DIR=`dirname ${0}`/../
        cd ${WAS_DIR}
        WAS_HOME=`pwd`
        cd ${CUR_DIR}
    fi
}
setWASHome


JAVA_HOME="$WAS_HOME/java"


PLATFORM=`/bin/uname`
ARCH=`/bin/uname -m`

SERVERSAS=-Dcom.ibm.CORBA.ConfigURL=file:"$WAS_HOME"/properties/sas.server.props
CLIENT_CONNECTOR_INSTALL_ROOT="$WAS_HOME"/installedConnectors
WAS_LOGGING="-Djava.util.logging.manager=com.ibm.ws.bootstrap.WsLogManager -Djava.util.logging.configureByServer=true"

QUALIFYNAMES=-qualifyHomeName
PATH="$JAVA_HOME"/ibm_bin:"$JAVA_HOME"/bin/:"$JAVA_HOME"/jre/bin:$PATH
WAS_EXT_DIRS="$JAVA_HOME"/lib:"$WAS_HOME"/classes:"$WAS_HOME"/lib:"$WAS_HOME"/installedChannels:"$WAS_HOME"/lib/ext:"$WAS_HOME"/web/help
WAS_CLASSPATH="$WAS_HOME"/properties:"$WAS_HOME"/lib/bootstrap.jar:"$JAVA_HOME"/lib/tools.jar


case $PLATFORM in

  AIX)

    WAS_LIBPATH="$WAS_HOME"/bin
    WAS_EXT_DIRS="$WAS_EXT_DIRS"
    NLSPATH=/usr/lib/nls/msg/%L/%N:/usr/lib/nls/msg/en_US/%N:${NLSPATH:=}
#    WAS_BOOTCLASSPATH=
    ;;

  Linux)

    WAS_LIBPATH="$WAS_HOME"/bin
    WAS_EXT_DIRS="$WAS_EXT_DIRS"
    NLSPATH=/usr/lib/locale/%L/LC_MESSAGES/%N:${NLSPATH:=}
    JAVA_HIGH_ZIPFDS=200
#    WAS_BOOTCLASSPATH=
    ;;

  SunOS)

    if [ "$LANG" = "" ]
    then
       LANG=C
       export LANG
    fi
    WAS_LIBPATH="$WAS_HOME"/bin
    WAS_EXT_DIRS="$WAS_EXT_DIRS"
    NLSPATH=/usr/lib/locale/%L/LC_MESSAGES/%N:${NLSPATH:=}
#    WAS_BOOTCLASSPATH=
    ;;

  HP-UX)

    WAS_LIBPATH="$WAS_HOME"/bin
    WAS_EXT_DIRS="$WAS_EXT_DIRS"
    NLSPATH=/usr/lib/nls/msg/%L/%N:${NLSPATH:=}
#    WAS_BOOTCLASSPATH=
    if [ "$ARCH" = "ia64" ]
    then
      JVM_EXTRA_CMD_ARGS="-d64 -Djava.net.preferIPv4Stack=false"
    else
      JVM_EXTRA_CMD_ARGS=-Djava.net.preferIPv4Stack=false
    fi;;

  *)

    LIBPATH=$LIBPATH:"$WAS_HOME"/lib
    WAS_LIBPATH="$WAS_HOME"/bin
    WAS_EXT_DIRS="$WAS_EXT_DIRS"
    NLSPATH=/usr/lib/locale/%L/LC_MESSAGES/%N:${NLSPATH:=}
#    WAS_BOOTCLASSPATH=
    ;;

esac


export PATH WAS_HOME WAS_CELL WAS_NODE JAVA_HOME SERVERSAS CLIENT_CONNECTOR_INSTALL_ROOT WAS_LOGGING QUALIFYNAMES WAS_EXT_DIRS WAS_CLASSPATH NLSPATH JAVA_HIGH_ZIPFDS WAS_LIBPATH JVM_EXTRA_CMD_ARGS LIBPATH 


if [ "${USER_INSTALL_ROOT:=}" != "" ]; then
    if [ -d ${USER_INSTALL_ROOT} ]; then
        USER_INSTALL_PROP="-Duser.install.root=$USER_INSTALL_ROOT"
        WAS_CLASSPATH=${USER_INSTALL_ROOT}/properties:${WAS_CLASSPATH}
	export USER_INSTALL_PROP WAS_CLASSPATH
    fi
fi

